## openvswitch 2.1.3

=== debian/changelog ===
openvswitch (2.1.3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * d/control: Drop hardening-wrapper from build Depends.
  * d/compat,control: Bump debhelper compat level to 9.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Aug 2014 09:17:45 +0100

openvswitch (2.1.2-0ubuntu3) utopic; urgency=medium

  * Ensure test-controller is built on all architectures:
    - d/control: Introduce new openvswitch-testcontroller package.
    - d/{openvswitch-testcontroller,openvswitch-test}.{install,manpages}:
      Move test-controller binary to new testcontroller package. 
    - d/tests/control: Use openvswitch-testcontroller instead of
      openvswitch-test.

 -- James Page <james.page@ubuntu.com>  Mon, 02 Jun 2014 13:02:01 +0100

openvswitch (2.1.2-0ubuntu2) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:41:42 +0100

openvswitch (2.1.2-0ubuntu1) utopic; urgency=medium

  * New upstream release:
    - d/*: Resync packaging with upstream:
      + Drop openvswitch-{controller,pki} and ovsdbmonitor packages.
      + Drop openvswitch-pki targets from automake.mk.
      + Add openvswitch-vtep package.
    - d/tests/control,common: Drop use of openvswitch-controller in
      preference of openvswitch-test.
    - d/openvswitch-test.{install,manpages}: Provide test-controller
      for continued use by mininet for ovs testing.

 -- James Page <james.page@ubuntu.com>  Mon, 19 May 2014 14:05:29 +0100
