## openvswitch 2.3.0%2Bgit20140819

=== debian/changelog ===
openvswitch (2.3.0+git20140819-3) unstable; urgency=medium

  * Don't depened on $RUNLEVEL at startup to create bridges.
    This should allow Open vSwitch configuration through
    /etc/network/interfaces where $RUNLEVEL is not set.
    This change is upstream commit 238324bd73b031635
    ("debian: Don't depened on $RUNLEVEL at startup to create bridges.")
    Closes: #771863
  * 

 -- Simon Horman <horms@debian.org>  Fri, 19 Dec 2014 10:54:08 +0900

openvswitch (2.3.0+git20140819-2) unstable; urgency=low

  * debian/rules: Rerun checks on tests that fail the first time.  Skip
    tests 711, 712, and 713 that seem to fail due to races on buildds.
  * debian/patches/cfm-avoid-long-delay: Upstream patch to avoid
    test failures in CFM tests due to "long delay" log messages at WARN level.
  * debian/patches/ovs-appctl-log-options.patch,
    debian/patches/disable-poll-loop-logging-for-long-output.patch:
    Upstream patches to avoid test failures in tests that generate a ton
    of output.

 -- Ben Pfaff <pfaffben@debian.org>  Wed, 20 Aug 2014 08:31:11 -0700

openvswitch (2.3.0+git20140819-1) unstable; urgency=low

  * New upstream release:
   - OpenFlow 1.1, 1.2, and 1.3 are now enabled by default in
     ovs-vswitchd.
   - Linux kernel datapath now has an exact match cache optimizing the
     flow matching process.
   - Datapath flows now have partially wildcarded tranport port field
     matches.  This reduces userspace upcalls, but increases the
     number of different masks in the datapath.  The kernel datapath
     exact match cache removes the overhead of matching the incoming
     packets with the larger number of masks, but when paired with an
     older kernel module, some workloads may perform worse with the
     new userspace.
  * Removed datapath packages because Linux 3.16 has adequate built-in
    support.  Closes: #740983.
    - debian/control: Remove datapath package references.  Add build
      dependency on dh-autoreconf.
    - debian/rules: Don't build datapath packages.
    - debian/openvswitch-datapath-*: Removed.
    - debian/control.modules.in: Removed.
    - debian/dkms.conf.in: Removed.
    - debian/rules.modules: Removed.
    - debian/openvswitch-switch.README.Debian: Removed references to kernel
      packages.
    - debian/openvswitch-switch.init: Removed references to kernel packages.
    - debian/automake.mk: Remov references to deleted files.
    - debian/rules: Adopt use of dh-autoreconf.

 -- Ben Pfaff <pfaffben@debian.org>  Tue, 19 Aug 2014 08:19:21 -0700

openvswitch (2.2.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - Internal ports are no longer brought up by default, because it
     should be an administrator task to bring up devices as they are
     configured properly.
   - ovs-vsctl now reports when ovs-vswitchd fails to create a new port or
     bridge.
   - The "ovsdbmonitor" graphical tool has been removed, because it was
     poorly maintained and not widely used.
   - New "check-ryu" Makefile target for running Ryu tests for OpenFlow
     controllers against Open vSwitch.  See INSTALL for details.
   - Added IPFIX support for SCTP flows and templates for ICMPv4/v6 flows.
   - Upon the receipt of a SIGHUP signal, ovs-vswitchd no longer reopens its
     log file (it will terminate instead). Please use 'ovs-appctl vlog/reopen'
     instead.
   - Support for Linux kernels up to 3.14. From Kernel 3.12 onwards OVS uses
     tunnel API for GRE and VXLAN.
   - Added experimental DPDK support.
   - Added support for custom vlog patterns in Python

 -- Open vSwitch team <dev@openvswitch.org>  Wed, 19 Mar 2014 16:08:38 -0700
    

openvswitch (2.1.0+git20140411-3) unstable; urgency=low

  * debian/rules: Disable some tests that tend to fail on Debian buildds
    due to race conditions.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 13 Jun 2014 06:07:31 -0700

openvswitch (2.1.0+git20140411-2) unstable; urgency=low

  * debian/openvswitch-switch.postinst: Add back mysteriously deleted
    "mkdir" line.  Closes: #744769.  Thanks to Joshua Powers for reporting
    this bug.
  * debian/rules: Try rechecking in serial any tests that fail in
    parallel, as an experiment to see whether this fixes remaining buildd
    test failures.

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 14 Apr 2014 08:29:33 -0700

openvswitch (2.1.0+git20140411-1) unstable; urgency=low

  * New upstream release:
    - Removed ovsdbmonitor package.  Closes: #744136.
    - Fix misaligned data accesses that caused test failures.
  * tests/ofproto-macros.at: Disable scanning logs for WARN and ERR messages,
    as an experiment to see whether this fixes all the buildd test failures.

 -- Ben Pfaff <pfaffben@debian.org>  Fri, 11 Apr 2014 08:35:10 -0700

openvswitch (2.1.0+git20140325-1) unstable; urgency=low

  * New upstream release.
    - Included kernel module builds against Linux 3.11.  Closes: #732260.
    - Log rotation bug fixed.  Closes: #729304.
    - Bridge compatibility feature removed.  Closes: #680538, #681954.
    - Controller package removed.  Closes: #731133.
  * Shut down OVS after libvirt guests to allow those guests to remove
    their interfaces gracefully. Closes: #701760.  Reported by Ernesto
    Domato <edomat@gmail.com>.  Fix from Lukasz Szotek
    <szotman@gmail.com>.
  * debian/control: Depend on kmod instead of module-init-tools.  Closes:
    #733696.  Reported by md@Linux.IT (Marco d'Itri).

 -- Ben Pfaff <pfaffben@debian.org>  Mon, 31 Mar 2014 09:31:10 -0700
