## openvswitch 2.3.0+git20140819

=== debian/changelog ===
openvswitch (2.3.0+git20140819-3+deb8u1~tanglu3.1) chromodoris-updates; urgency=high

  * Pull from Debian stable for Tanglu because of security issue DSA 3533-1

 -- Thomas Funk <t.funk@web.de>  Wed, 30 Mar 2016 21:36:25 +0200

openvswitch (2.3.0+git20140819-3+deb8u1) jessie-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * CVE-2016-2074: Buffer overflow for crafted MPLS packets

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 28 Mar 2016 11:48:52 +0200
