=== debian/control ===
--- 
+++ 
@@ -1,51 +1,17 @@
 Source: openvswitch
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Tanglu Developers <tanglu-devel-discuss@lists.tanglu.org>
 XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
 Uploaders: Ben Pfaff <pfaffben@debian.org>, Simon Horman <horms@debian.org>
 Build-Depends:
- debhelper (>= 9~), autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
- libssl-dev, bzip2, openssl, dh-autoreconf,
+ debhelper (>= 8), dh-autoreconf, 
+ autoconf (>= 2.64), automake (>= 1.10) | automake1.10, 
+ libssl-dev, bzip2, openssl, graphviz,
  python-all (>= 2.6.6-3~), procps, python-qt4,
  python-zopeinterface, python-twisted-conch, libtool
-Standards-Version: 3.9.5
+Standards-Version: 3.9.3
 Homepage: http://openvswitch.org/
-XS-Testsuite: autopkgtest
-
-Package: openvswitch-datapath-source
-Architecture: all
-Depends: module-assistant, bzip2, debhelper (>= 5.0.37), ${misc:Depends}
-Suggests: openvswitch-switch
-Description: Open vSwitch datapath module source - module-assistant version
- Open vSwitch is a production quality, multilayer, software-based,
- Ethernet virtual switch. It is designed to enable massive network
- automation through programmatic extension, while still supporting
- standard management interfaces and protocols (e.g. NetFlow, IPFIX,
- sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
- to support distribution across multiple physical servers similar to
- VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
- .
- This package provides the Open vSwitch datapath module source code
- that is needed by openvswitch-switch.  The kernel module can be built
- from it using module-assistant or make-kpkg.  README.Debian in this
- package provides further instructions.
-
-Package: openvswitch-datapath-dkms
-Architecture: all
-Depends: dkms (>= 1.95), make, libc6-dev, ${misc:Depends}, ${python:Depends}
-Description: Open vSwitch datapath module source - DKMS version
- Open vSwitch is a production quality, multilayer, software-based,
- Ethernet virtual switch. It is designed to enable massive network
- automation through programmatic extension, while still supporting
- standard management interfaces and protocols (e.g. NetFlow, IPFIX,
- sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
- to support distribution across multiple physical servers similar to
- VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
- .
- This package provides the Open vSwitch datapath module source code
- that is needed by openvswitch-switch.  DKMS can built the kernel
- module from it.
 
 Package: openvswitch-common
 Architecture: linux-any
@@ -66,8 +32,7 @@
 
 Package: openvswitch-switch
 Architecture: linux-any
-Suggests: openvswitch-datapath-module
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openvswitch-common (= ${binary:Version}), kmod | module-init-tools, procps, uuid-runtime, netbase, python-argparse
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, openvswitch-common (= ${binary:Version}), kmod, procps, uuid-runtime, netbase, python-argparse
 Description: Open vSwitch switch implementations
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -100,6 +65,24 @@
  .
  The ovs-monitor-ipsec script provides support for encrypting GRE
  tunnels with IPsec.
+
+Package: openvswitch-pki
+Architecture: all
+Depends:
+ ${misc:Depends}, openvswitch-common (>= ${source:Version}),
+ openvswitch-common (<< ${source:Version}.1~)
+Description: Open vSwitch public key infrastructure dependency package
+ Open vSwitch is a production quality, multilayer, software-based,
+ Ethernet virtual switch. It is designed to enable massive network
+ automation through programmatic extension, while still supporting
+ standard management interfaces and protocols (e.g. NetFlow, IPFIX,
+ sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
+ to support distribution across multiple physical servers similar to
+ VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
+ .
+ openvswitch-pki provides PKI (public key infrastructure) support for
+ Open vSwitch switches and controllers, reducing the risk of
+ man-in-the-middle attacks on the Open vSwitch network infrastructure.
 
 Package: openvswitch-dbg
 Section: debug
@@ -168,21 +151,3 @@
  .
  This package provides utilities that are useful to interact with a
  VTEP-configured database and a VTEP emulator.
-
-Package: openvswitch-testcontroller
-Architecture: linux-any
-Depends: ${misc:Depends}, openvswitch-common (>= ${binary:Version})
-Breaks: openvswitch-test (<< 2.1.2-0ubuntu3)
-Replaces: openvswitch-test (<< 2.1.2-0ubuntu3)
-Description: Open vSwitch test controller implementation
- Open vSwitch is a production quality, multilayer, software-based,
- Ethernet virtual switch. It is designed to enable massive network
- automation through programmatic extension, while still supporting
- standard management interfaces and protocols (e.g. NetFlow, IPFIX,
- sFlow, SPAN, RSPAN, CLI, LACP, 802.1ag). In addition, it is designed
- to support distribution across multiple physical servers similar to
- VMware's vNetwork distributed vswitch or Cisco's Nexus 1000V.
- .
- The Open vSwitch controller enables OpenFlow switches that connect to it
- to act as MAC-learning Ethernet switches.  Note that the test controller
- should be used for testing purposes only.
