## openvswitch 2.3.1

=== debian/changelog ===
openvswitch (2.3.1-0ubuntu1) vivid; urgency=low

   * New upstream release.
   * d/rules,*.manpages: Rewrite to use more standard debhelper sequencing.
   * d/automake.mk,openvswitch-switch.default,rules:
     Rename openvswitch-switch.template -> openvswitch-switch.default.
   * Enable systemd support:
     - d/openvswitch-switch.service,
       d/openvswitch-switch.openvswitch-nonetwork.service:
       Systemd unit files, derived from RHEL versions.
     - d/control: Add BD on dh-systemd.
     - d/rules: Enable systemd helper, explicit no-start install of
       openvswitch-nonetwork unit.
     - d/ifupdown.sh: Tweak to support use with systemd ifinstalled.
   * d/control: Bumped Standards-Version 3.9.6, no changes.
   * d/tests/common: Drop module reload checks, as we always use the
     in-tree kernel module now.
   * d/python-openvswitch.*,openvswitch-test.*,automake.mk:
     Tidy up install of Python components.

 -- James Page <james.page@ubuntu.com>  Thu, 18 Dec 2014 12:36:25 +0000

openvswitch (2.3.0+git20140819-2ubuntu2) vivid; urgency=medium

  * Resolve DEP-8 test failures:
    - d/tests/openflow.py: Explicitly configure switches to use
      OpenFlow 1.0 protocol.
    - d/tests/control: Version dependency on mininet >= 2.2.0~
      to support specification of protocol version.
  * d/tests/openflow.py: format to flake8 standard.

 -- James Page <james.page@ubuntu.com>  Mon, 24 Nov 2014 14:41:55 +0000

openvswitch (2.3.0+git20140819-2ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - d/control,tests: Add autopkg tests.
    - d/control,openvswitch-testcontroller*: Add binary package for
      test controller to support use with mininet.
    - d/rules,*.upstart: Add upstart configurations for openvswitch-switch.
    - d/p/xcp-interface-reconfigure.patch: Add support for Debian
      packaged xcp-xapi if found.
    - d/rules: Ensure dh_autoreconf_clean is called.
    - d/rules: Add helper for generating snapshot from upstream git repo.
    - d/control,compat: Bump debhelper compat level to 9.
    - d/control: Bump Standards-Version to 3.9.5, no changes.
    - d/control: Add alternative dependency - kmod | module-init-tools.
  * d/control: Add missing ${shlibs:Depends} to openvswitch-testcontroller.
  * d/tests/*: Drop dkms and module assistant tests now that we no longer
    ship the datapath kernel module.
  * d/rules: Align snapshot creation to new repo location and 2.3 branch.

 -- James Page <james.page@ubuntu.com>  Wed, 12 Nov 2014 14:03:17 +0000

openvswitch (2.3.0-1) unstable; urgency=low
   [ Open vSwitch team ]
   * New upstream version
   - OpenFlow 1.1, 1.2, and 1.3 are now enabled by default in
     ovs-vswitchd.
   - Linux kernel datapath now has an exact match cache optimizing the
     flow matching process.
   - Datapath flows now have partially wildcarded tranport port field
     matches.  This reduces userspace upcalls, but increases the
     number of different masks in the datapath.  The kernel datapath
     exact match cache removes the overhead of matching the incoming
     packets with the larger number of masks, but when paired with an
     older kernel module, some workloads may perform worse with the
     new userspace.

 -- Open vSwitch team <dev@openvswitch.org>  Thu, 14 Aug 2014 11:03:32 -0700
