## openvswitch 2.3.2

=== debian/changelog ===
openvswitch (2.3.2-0ubuntu0.15.04.1) vivid; urgency=medium

  * New upstream point release (LP: #1470120):
    - d/p/*: Refresh all patches.
    - d/p/rules: Skip test 717 due to failure on powerpc - see
      http://pad.lv/1472202 for full details.
  * d/tests/openflow.py: Use net.addLink to add links between switches and
    hosts to ensure that they get cleanup up after use, fixing autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:34:02 +0100
