## openvswitch 2.4.0

=== debian/changelog ===
openvswitch (2.4.0-0ubuntu4) wily; urgency=medium

  [ Arata Notsu ]
  * Fix ifupdown hooks in cases where BRIDGE is not defined. (LP: #1314887)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 15 Oct 2015 15:03:34 -0500

openvswitch (2.4.0-0ubuntu3) wily; urgency=medium

  [ Brian Turek ]
  * Add ifupdown hooks for upstart script. (LP: #1314887)

 -- Chris J Arges <chris.j.arges@canonical.com>  Wed, 14 Oct 2015 13:51:13 -0500

openvswitch (2.4.0-0ubuntu2) wily; urgency=medium

  * Install ovs-vswitchd binary using alternatives for all architectures
    to support use of alternative DPDK enabled binaries (LP: #1499759):
    - d/rules: Move ovs-vswitchd to /usr/lib/openvswitch-switch.
    - d/openvswitch-switch.{postinst,prerm}: Install binary using
      alternatives.
    - d/openvswitch-switch.default: Add some example DPDK options
      (disabled by default).
    - d/p/ovs-ctl-dpdk.patch: Splice in DPDK options to ovs-vswitchd
      startup arguments if provided.

 -- James Page <james.page@ubuntu.com>  Mon, 28 Sep 2015 16:29:30 +0100

openvswitch (2.4.0-0ubuntu1) wily; urgency=medium

  * Update to 2.4.0 release from previous snapshot.

 -- James Page <james.page@ubuntu.com>  Tue, 01 Sep 2015 11:53:49 +0100

openvswitch (2.4.0~git20150810.97bab95-0ubuntu2) wily; urgency=medium

  * d/rules: Skip unit tests on powerpc - see https://pad.lv/1483572 for
    full details.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Aug 2015 09:26:13 +0100

openvswitch (2.4.0~git20150810.97bab95-0ubuntu1) wily; urgency=medium

  * New upstream snapshot from 2.4 branch:
    - d/*: Align any relevant packaging changes with upstream.
  * d/*: wrap-and-sort.
  * d/openvswitch-{common,vswitch}.install: Correct install location for
    bash completion files.
  * d/tests/openflow.py: Explicitly use ovs-testcontroller as provided
    by 2.4.0 release.

 -- James Page <james.page@ubuntu.com>  Mon, 10 Aug 2015 11:35:15 +0100

openvswitch (2.3.2-0ubuntu3) wily; urgency=medium

  * d/tests/openflow.py: Use net.addLink to add links between switches and
    hosts to ensure that they get cleanup up after use, fixing autopkgtest
    failures.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jul 2015 12:48:25 +0100

openvswitch (2.3.2-0ubuntu2) wily; urgency=medium

  * d/p/rules: Skip test 717 due to failure on powerpc - see
    http://pad.lv/1472202 for full details.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jul 2015 11:15:12 +0100

openvswitch (2.3.2-0ubuntu1) wily; urgency=medium

  * New upstream point release.
  * Refresh all patches.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Jun 2015 14:34:02 +0100
